

import Foundation
import Vapor

class GooglePlacesAPIManager {
    static let shared = GooglePlacesAPIManager()

    private let baseURL = "https://maps.googleapis.com/maps/api/place"
    private let findPlaceRoute = "/findplacefromtext/json"
    private let findPlaceFields = "formatted_address,name,geometry,place_id"
    private let findPlaceInputType = "textquery"
    private let apiKey: String = "AIzaSyDXL4lwxUz4y8jZceJ5bv20lviB9y4VwQo"

    func findPlace(input: String, _ req: Request) throws -> EventLoopFuture<GooglePlacesFindPlaceResponse> {
        let client = req.client
        return client.get("https://maps.googleapis.com/maps/api/place/findplacefromtext/json?input=\(input)&inputtype=textquery&key=\(apiKey)&fields=\(findPlaceFields)").map { clientResponse -> GooglePlacesFindPlaceResponse? in
            do {
                print(clientResponse.description)
                return try clientResponse.content.decode(GooglePlacesFindPlaceResponse.self)
            } catch(let error) {
                print(error.localizedDescription)
                return nil
            }
        }.unwrap(or: Abort(.internalServerError))
    }

}


struct GooglePlacesFindPlaceResponse: Content {
    let candidates: [GooglePlacesCandidate]
    let status: String
}


struct GooglePlacesCandidate: Content {
    let formatted_address: String?
    let geometry: GooglePlacesGeometry?
    let name: String?
    let place_id: String?
}

struct GooglePlacesGeometry: Content {
    let location: GooglePlacesLocation?
}

struct GooglePlacesLocation: Content {
    let lat: Double
    let lng: Double
}
