//
//  CreateFavoriteRestaurants.swift
//  
//
//  Created by Joan Martin on 13/11/22.
//

import Foundation
import FluentKit

struct CreateFavoriteRestaurants: Migration {
    func prepare(on database: Database) -> EventLoopFuture<Void> {
        database.schema("favorite-restaurants")
            .id()
            .field("userID", .uuid, .required, .references("users", "id", onDelete: .cascade))
            .field("restaurantID", .uuid, .required, .references("restaurants", "id", onDelete: .cascade))
            .create()
    }

    func revert(on database: Database) -> EventLoopFuture<Void> {
        database.schema("favorite-tags")
            .delete()
    }
}
