//
//  File.swift
//  
//
//  Created by Joan Martin on 6/6/22.
//

import Foundation
import FluentKit

struct CreateFavoriteTags: Migration {
    func prepare(on database: Database) -> EventLoopFuture<Void> {
        database.schema("favorite-tags")
            .id()
            .field("userID", .uuid, .required, .references("users", "id", onDelete: .cascade))
            .field("tagID", .uuid, .required, .references("tags", "id", onDelete: .cascade))
            .create()
    }

    func revert(on database: Database) -> EventLoopFuture<Void> {
        database.schema("favorite-tags")
            .delete()
    }
}
