import Foundation
import FluentKit

struct CreateRestaurant: Migration {
    func prepare(on database: Database) -> EventLoopFuture<Void> {
        database
            .schema("restaurants")
            .id()
            .field("name", .string, .required)
            .field("info", .string)
            .field("priceRange", .string)
            .field("address", .string)
            .field("phone", .string)
            .field("lat", .double)
            .field("lng", .double)
            .field("googlePlacesID", .string)
            .create()
    }

    func revert(on database: Database) -> EventLoopFuture<Void> {
        database
            .schema("restaurants")
            .delete()

    }
}
