import Fluent
import Vapor

import Foundation

struct CreateRestaurantTagPivot: Migration {
    func prepare(on database: Database) -> EventLoopFuture<Void> {
        database.schema("restaurant-tag-pivot")
            .id()
            .field("restaurantID", .uuid, .required, .references("restaurants", "id", onDelete: .cascade))
            .field("tagID", .uuid, .required, .references("tags", "id", onDelete: .cascade))
            .create()
    }

    func revert(on database: Database) -> EventLoopFuture<Void> {
        database.schema("restaurant-tag-pivot")
            .delete()

    }
}
