import Foundation
import FluentKit

struct CreateTag: Migration {
    func prepare(on database: Database) -> EventLoopFuture<Void> {
        database
            .schema("tags")
            .id()
            .field("name", .string, .required)
            .field("tagCategoryID", .uuid, .references("tag-categories", "id"))
            .create()
    }

    func revert(on database: Database) -> EventLoopFuture<Void> {
        database
            .schema("tags")
            .delete()
    }
}
