import Foundation
import FluentKit

struct CreateVisit: Migration {
    func prepare(on database: Database) -> EventLoopFuture<Void> {
        database.schema("visits")
            .id()
            .field("userID", .uuid, .required, .references("users", "id", onDelete: .cascade))
            .field("restaurantID", .uuid, .required, .references("restaurants", "id", onDelete: .cascade))
            .create()
    }

    func revert(on database: Database) -> EventLoopFuture<Void> {
        database.schema("visits")
            .delete()
    }
}
