//
//  FavoriteRestaurants.swift
//  
//
//  Created by Joan Martin on 13/11/22.
//

import Foundation
import FluentKit
import Vapor
import Fluent

final class FavoriteRestaurants: Model {
    static let schema: String = "favorite-restaurants"

    @ID
    var id: UUID?

    @Parent(key: "userID")
    var user: User

    @Parent(key: "restaurantID")
    var restaurant: Restaurant

    init() { }

    init(id: UUID? = nil, user: User, restaurant: Restaurant) throws {
        self.id = id
        self.user = user
        self.restaurant = restaurant
    }
}

extension FavoriteRestaurants: Content {}
    
