//
//  FavoriteTags.swift
//  
//
//  Created by Joan Martin on 6/6/22.
//

import Foundation
import FluentKit
import Vapor
import Fluent

final class FavoriteTags: Model {
    static let schema: String = "favorite-tags"

    @ID
    var id: UUID?

    @Parent(key: "userID")
    var user: User

    @Parent(key: "tagID")
    var tag: Tag

    init() { }

    init(id: UUID? = nil, user: User, tag: Tag) throws {
        self.id = id
        self.user = user
        self.tag = tag
    }
}

extension FavoriteTags: Content {}
