import Foundation
import Fluent

final class RestaurantTagPivot: Model {
    static let schema: String = "restaurant-tag-pivot"

    @ID
    var id: UUID?

    @Parent(key: "restaurantID")
    var restaurant: Restaurant

    @Parent(key: "tagID")
    var tag: Tag

    init() { }

    init(id: UUID? = nil, restaurant: Restaurant, tag: Tag) throws {
        self.id = id
        self.restaurant = restaurant
        self.tag = tag
    }

}
