//
//  File.swift
//  
//
//  Created by Joan Martin on 17/5/22.
//

import Foundation
import FluentKit
import Vapor

final class Visit: Model {
    static let schema: String = "visits"

    @ID
    var id: UUID?

    @Parent(key: "userID")
    var user: User

    @Parent(key: "restaurantID")
    var restaurant: Restaurant

    init() { }

    init(id: UUID? = nil, user: User, restaurant: Restaurant) {
        self.id = id
        self.user = user
        self.restaurant = restaurant
    }
}

extension Visit: Content { } 
