//
//  Modifiers.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 25/4/22.
//

import Foundation
import SwiftUI

extension View {
    func underlineTextField(focused: Bool, withColor color: Color) -> some View {
        self
            .padding(.vertical, 10)
            .overlay(Rectangle().frame(height: 2).padding(.top, 35))
            .foregroundColor(focused ? color : color.opacity(0.4))
            .animation(.easeInOut)
            .padding(10)
    }
    
    func placeholder<Content: View>(
        when shouldShow: Bool,
        alignment: Alignment = .leading,
        @ViewBuilder placeholder: () -> Content) -> some View {

        ZStack(alignment: alignment) {
            placeholder().opacity(shouldShow ? 1 : 0)
            self
        }
    }
    
    func cornerRadius(_ radius: CGFloat, corners: UIRectCorner) -> some View {
        clipShape( RoundedCorner(radius: radius, corners: corners) )
    }
}
