//
//  FiltersViewModel.swift
//  Eating Barna
//
//  Created by Joan Martin on 29/5/22.
//

import Foundation
import Combine

class FiltersViewModel: ObservableObject {
    @Published var tagCategories: [TagCateogry] = []

    private let apiService = EatingBarnaService.shared

    func onAppear() async {
        do {
            self.tagCategories = try await apiService.getTagCategories().map { TagCateogry(tagCategoryResponse: $0) }
        } catch let error as APIError {
            print(error)
        } catch {
            print("unknown error")
        }
    }
}
