//
//  HomeSectionView.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 29/4/22.
//

import SwiftUI

struct HomeSectionView: View {
    let homeSection: HomeSection
    @State var restaurantToPresent: Restaurant? = nil

    var body: some View {
        VStack (alignment: .leading){
            Text(homeSection.sectionName).font(.montserratBold(ofSize: 32.0))
                .padding(.horizontal)
            ScrollView(.horizontal, showsIndicators: false) {
                HStack {
                    ForEach(homeSection.restaurants) { restaurant in
                        ZStack {
                            RestaurantCardView(viewModel: RestaurantCardViewModel(restaurant: restaurant))
                                .frame(width: 200, height: 250)
                                .fullScreenCover(item: $restaurantToPresent) { restaurant in
                                    RestaurantDetail(viewModel: RestaurantDetailViewModel(restaurant: restaurant))
                                }
                                .onTapGesture {
                                    restaurantToPresent = restaurant
                            }
                        }

                    }
                }.padding(.horizontal)
            }
        }
    }
}

struct HomeSectionView_Previews: PreviewProvider {
    static var previews: some View {
        HomeSectionView(homeSection: MockData.section3).previewLayout(.sizeThatFits).padding()
    }
}








