//
//  HomeView.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 29/4/22.
//

import SwiftUI

struct HomeView: View {
    @ObservedObject var viewModel = HomeViewModel()
    var body: some View {
        ZStack {
            ScrollView {
                VStack {
                    ForEach(viewModel.homeSections) { section in
                        HomeSectionView(homeSection: section)
                    }
                }
                .padding(.vertical)
                .ignoresSafeArea()
            }
            LoadingView(isLoading: $viewModel.isLoading)
        }.task {
            await viewModel.onAppear()
        }
    }
}

struct HomeView_Previews: PreviewProvider {
    static var previews: some View {
        HomeView()
    }
}

