//
//  ProfileViewModel.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 1/5/22.
//

import Foundation
import SwiftUI

class ProfileViewModel: ObservableObject {
    let user = User(name: "Joan Martín", email: "jmartinmartrus@gmail.com")
    let navigationManager = NavigationManager.shared
    let userDefaultsManager = UserDefaultsManager.shared

    func onLogoutButtonTapped() {
        userDefaultsManager.remove(key: .token)
        withAnimation {
            navigationManager.currentView = .login
        }
    }
}
