//
//  UserProfileImageView.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 1/5/22.
//

import SwiftUI

struct UserProfileImageView: View {
    let name: String
    let email: String
    var body: some View {
        VStack {
            Text(name.getInitials())
                .font(.montserratBold(ofSize: 32.0))
                .foregroundColor(.white)
                .padding(20.0)
                .background(.gray.opacity(0.75))
                .clipShape(Circle())
            Text(name)
                .font(.montserratMedium(ofSize: 17.0))
            Text(email)
                .font(.montserratRegular())
                .foregroundColor(.textGray)
        }
    }
}

struct UserProfileImageView_Previews: PreviewProvider {
    static var previews: some View {
        UserProfileImageView(name: "Joan Martín Martrus", email: "jmartinmartrus@gmail.com").previewLayout(.sizeThatFits)
    }
}
