//
//  RegisterView.swift
//  Eating Barna
//
//  Created by Joan Martin on 3/6/22.
//

import SwiftUI

struct RegisterView: View {
    @ObservedObject var viewModel = RegisterViewModel()
    @State var presentNextView: Bool = false

    var body: some View {
        NavigationView {
            VStack {
                AppTextField(input: $viewModel.name, placeHolderText: "Nombre", systemImageName: "person.fill", correctInput: viewModel.nameIsCorrect)
                AppTextField(input: $viewModel.surname, placeHolderText: "Apellidos", systemImageName: "person.fill", correctInput: viewModel.surnameIsCorrect)
                AppTextField(input: $viewModel.email, placeHolderText: "Email", systemImageName: "envelope.fill", correctInput: viewModel.emailIsCorrect)
                AppSecureTextField(input: $viewModel.password, placeHolderText: "Contraseña", systemImageName: "lock.fill", color: .textFieldGray)
                AppSecureTextField(input: $viewModel.verifiedPassword, placeHolderText: "Confirma contraseña", systemImageName: "lock.fill", color: .textFieldGray)
                Spacer()
                HStack {
                    PrimaryButton(text: "Registrarse", isDisabled: !viewModel.allFieldsAreCorrect) {
                        Task {
                            await viewModel.onRegisterButtonTapped()
                        }
                    }
                    SecondaryButton(text: "Atras") {
                        viewModel.onBackButtonPressed()
                    }
                }
            }.padding(.horizontal)
        }
    }
}

struct RegisterView_Previews: PreviewProvider {
    static var previews: some View {
        RegisterView()
    }
}
