//
//  RestaurantDetailMapView.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 3/5/22.
//

import SwiftUI
import MapKit

struct RestaurantDetailMapView: View {
    let restaurant: Restaurant
    @State private var mapRegion = MKCoordinateRegion(center: CLLocationCoordinate2D(latitude: 41.390205, longitude: 2.154007), span: MKCoordinateSpan(latitudeDelta: 0.01,longitudeDelta: 0.01))

    
    var body: some View {
        if let coordinates = restaurant.coordinates {
            Map(coordinateRegion: $mapRegion, annotationItems: [restaurant]) { restaurant in
                MapAnnotation(coordinate: coordinates) {
                    EatingBarnaMapMarker()
                }
            }.onAppear {
                mapRegion = MKCoordinateRegion(center: coordinates, span: MKCoordinateSpan(latitudeDelta: 0.01,longitudeDelta: 0.01))
            }
        } else {
            EmptyView()
        }

    }
}

struct RestaurantDetailMapView_Previews: PreviewProvider {
    static var previews: some View {
        RestaurantDetailMapView(restaurant: MockData.restaurant1).frame(width: 300.0, height: 200.0, alignment: .center).previewLayout(.sizeThatFits)
    }
}
