//
//  RestaurantDetailViewModel.swift
//  Eating Barna
//
//  Created by Joan Martin on 28/5/22.
//

import Foundation
import Combine

class RestaurantDetailViewModel: ObservableObject {
    let restaurant: Restaurant

    init(restaurant: Restaurant) {
        self.restaurant = restaurant
    }

    func onAppear() async {
        do {
            let _ = try await EatingBarnaService.shared.postVisit(restaurantID: restaurant.id)
        } catch let error as APIError {
            print(error)
        } catch {
            print("unknown error")
        }
    }
}
