//
//  TabBar.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 29/4/22.
//

import SwiftUI

struct TabBar: View {
    
    init() {
        UITabBar.appearance().backgroundColor = .black
        UITabBar.appearance().barTintColor = .black
        UITabBar.appearance().unselectedItemTintColor = .darkGray
        
    }
    
    var body: some View {
        TabView {
            HomeView()
            .tabItem {
                Label("Inicio", systemImage: "house")
            }
            SearchView()
            .tabItem {
                Label("Buscar", systemImage: "magnifyingglass")
            }
            MapView()
            .tabItem {
                Label("Mapa", systemImage: "map")
            }
            ProfileView()
            .tabItem {
                Label("Perfil", systemImage: "person")
            }
        }.ignoresSafeArea()
            .accentColor(.white)
    }
}

struct TabBar_Previews: PreviewProvider {
    static var previews: some View {
        TabBar()
    }
}
