//
//  MockData.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 30/4/22.
//

import Foundation


struct MockData {
    
    static let restaurant1 = Restaurant(id: "0", title: "Sushi Chuan", place: "Gótico")
    static let restaurant2 = Restaurant(id: "1", title: "Sushi Chinpai", place: "Nou Barris")
    static let restaurant3 = Restaurant(id: "2", title: "Toro Sushi", place: "Nou Barris")
    static let restaurant4 = Restaurant(id: "3", title: "Gyoza Bona", place: "Horta")
    static let restaurant5 = Restaurant(id: "4", title: "Tokyo Sushi", place: "Les Corts")
    static let restaurant6 = Restaurant(id: "5", title: "El Pi", place: "Les Corts")
    static let restaurant7 = Restaurant(id: "6", title: "4 makis", place: "Raval")


    static let sushiRestaurants = [restaurant1,
                       restaurant2,
                       restaurant3,
                       restaurant4,
                       restaurant5,
                       restaurant6,
                       restaurant7]
    
    static let restaurant8 = Restaurant(id: "7", title: "Doner Pica Tapa", place: "Horta")
    static let restaurant9 = Restaurant(id: "8", title: "Doner Istambul", place: "Raval")
    static let restaurant10 = Restaurant(id: "9", title: "Kebab Kebo", place: "Sarrià")
    static let restaurant11 = Restaurant(id: "10", title: "Pita", place: "Les Corts")
    static let restaurant12 = Restaurant(id: "11", title: "4 durums", place: "Les Corts")
    static let restaurant13 = Restaurant(id: "12", title: "El kebab", place: "Horta")
    
    static let kebabRestaurants = [restaurant8,
                                  restaurant9,
                                  restaurant10,
                                  restaurant11,
                                  restaurant12,
                                  restaurant13]
    
    static let restaurant14 = Restaurant(id: "13", title: "Pizza Mario", place: "La Barceloneta")
    static let restaurant15 = Restaurant(id: "14", title: "Pasta&Pizza", place: "Horta")
    static let restaurant16 = Restaurant(id: "15", title: "Sapore di Roma", place: "Sarria")
    static let restaurant17 = Restaurant(id: "16", title: "Venezia", place: "Gracia")
    static let restaurant18 = Restaurant(id: "17", title: "Pizzeria Carlos", place: "La Barceloneta")


    
    static let italianRestaurants = [restaurant14,
                                    restaurant15,
                                    restaurant16,
                                    restaurant17,
                                    restaurant18]
    
    static let restaurant19 = Restaurant(id: "18", title: "El dorado", place: "Sants")
    static let restaurant20 = Restaurant(id: "19", title: "La cantina", place: "Gracia")
    
    static let mexicanRestaurants = [restaurant19,
                                     restaurant20]

    
    static let section1 = HomeSection(sectionName: "Sushi", restaurants: sushiRestaurants)
    static let section2 = HomeSection(sectionName: "Kebab", restaurants: kebabRestaurants)
    static let section3 = HomeSection(sectionName: "Italiana", restaurants: italianRestaurants)
    static let section4 = HomeSection(sectionName: "Mejicano", restaurants: mexicanRestaurants)
    

    
    static let sections = [section1, section2, section3, section4]

    
    static let allRestaurants = [restaurant1,
                                 restaurant2,
                                 restaurant3,
                                 restaurant4,
                                 restaurant5,
                                 restaurant6,
                                 restaurant7,
                                 restaurant8,
                                 restaurant9,
                                 restaurant10,
                                 restaurant11,
                                 restaurant12,
                                 restaurant13,
                                 restaurant14,
                                 restaurant15,
                                 restaurant16,
                                 restaurant17,
                                 restaurant18,
                                 restaurant19,
                                 restaurant20]

    static let tag1 = Tag(id: "1", name: "Sushi")
    static let tag2 = Tag(id: "2", name: "Burger")
    static let tag3 = Tag(id: "3", name: "Mediterrania")
    static let tag4 = Tag(id: "4", name: "Kebab")
    static let tag5 = Tag(id: "5", name: "Mejicano")
    static let tag6 = Tag(id: "6", name: "Japones")


    static let tagCategory1 = TagCateogry(id: "1", tags: [tag2, tag1, tag3, tag4, tag5, tag6])

}


