//
//  HomeSections.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 29/4/22.
//

import Foundation

class HomeSection: Identifiable, ObservableObject {
    
    let id = UUID()
    
    let sectionName: String
    @Published var restaurants: Restaurants

    init(sectionName: String, restaurants: Restaurants) {
        self.sectionName = sectionName
        self.restaurants = restaurants
    }

    init(sectionResponse: SectionResponse) {
        self.sectionName = sectionResponse.title
        self.restaurants = sectionResponse.restaurants.map { Restaurant(restaurantResponse: $0) }
    }
}
