//
//  MainView.swift
//  Eating Barna
//
//  Created by Joan Martin Martrus on 1/5/22.
//

import SwiftUI

struct MainView: View {
    
    @ObservedObject var navigationManager: NavigationManager = NavigationManager.shared
    
    var body: some View {
        switch navigationManager.currentView {
        case .login:
            LoginView()
        case .tabbar:
            TabBar()
        case .register:
            RegisterView()            
        case .questionary(questionaryType: let questionaryType):
            QuestionaryView(viewModel: QuestionaryViewModel(questionaryType: questionaryType))
        case .transition(let view):
            LoadingView(isLoading: .constant(true))
                .task {
                    try? await Task.sleep(for: .seconds(0.5))
                    self.navigationManager.currentView = view
                }
        }
    }
}

struct MainView_Previews: PreviewProvider {
    static var previews: some View {
        MainView()
    }
}
