//
//  UserDefaultsManager.swift
//  Eating Barna
//
//  Created by Joan Martin on 26/5/22.
//

import Foundation

class UserDefaultsManager {
    static let shared = UserDefaultsManager()
    private let userDefaults = UserDefaults.standard

    func save(value: Any, with key: UserDefaultKey) {
        userDefaults.set(value, forKey: key.rawValue)
        debugPrint("Saved value \(value) for key \(key.rawValue) in UserDefaults")
    }

    func remove(key: UserDefaultKey) {
        userDefaults.removeObject(forKey: key.rawValue)
    }

    func getToken() -> String? {
        return userDefaults.string(forKey: UserDefaultKey.token.rawValue)
    }
}

enum UserDefaultKey: String {
    case token = "kToken"
}
